Bug 473492 - unchecked return values
unchecked return values
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: rsh (Show other bugs)
11
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Tkac
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-28 15:13 EST by mpachary
Modified: 2013-04-30 19:42 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-05 10:52:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description mpachary 2008-11-28 15:13:02 EST
Description of problem:
unchecked return values

Version-Release number of selected component (if applicable):
netkit-rsh-0.17

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

 ./netkit-rsh-0.17/rshd/rshd.c:392:		chdir("/"); ### return value of chdir not checked 
 
 ./netkit-rsh-0.17/rexec/rexec.c:319:  *command = (char *) malloc((len+1)*sizeof(char)); ### return value of malloc, *command dereferenced without checking.
Comment 1 Bug Zapper 2009-06-09 05:58:59 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Jan Görig 2010-01-05 10:52:03 EST
Fixed in rsh-0.17-62.

Note You need to log in before you can comment on or make changes to this bug.